org.eclipse.jdt.ui.jarpackager

## Interface IJarDescriptionReader

    public interface IJarDescriptionReader

Reads the description file of a JAR package data object into such an object.

The format is defined by the client who implements the reader/writer pair.

Since:
  2.0
See Also:
  `JarPackageData`, `IJarDescriptionWriter`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Closes this reader.
`IStatus` `getStatus()` Returns the status of this reader.
`void` `read(JarPackageData jarPackageData)` Reads Jar Package description and fills data into the JAR Package data object.

### Method Detail

#### read

    void read(JarPackageData jarPackageData)
       throws CoreException

Reads Jar Package description and fills data into the JAR Package data object.

It is the client's responsibility to close this reader.

Parameters:
  `jarPackageData` - the object into which data is filled
Throws:
  `CoreException` - if read failed, e.g. I/O error during read operation

#### close

    void close()
        throws CoreException

Closes this reader.

It is the client's responsibility to close this reader.

Throws:
  `CoreException` - if closing fails, e.g. I/O error during close operation

#### getStatus

    IStatus getStatus()

Returns the status of this reader. If there were any errors, the result is a status object containing individual status objects for each error. If there were no errors, the result is a status object with error code `OK`.

Returns:
  the status of this operation